Skip to content

Cancel a transaction

Request

Security
APIKey or OAuth2
Path
transaction_idstringrequired
Headers
Trustap-Userstring

Required in client flows, where you make API calls on behalf of another Trustap user.

Bodyapplication/jsonrequired
descriptionstringrequired

A description of the cancellation reason.

POST
/v2/transactions/{transaction_id}/cancel
curl -i -X POST \
  -u '<API_KEY>:​' \
  'https://api.test.trustap.com/v2/transactions/{transaction_id}/cancel' \
  -H 'Content-Type: application/json' \
  -H 'Trustap-User: string' \
  -d '{
    "description": "string"
  }'

Responses

OK

Bodyapplication/json
buyerobject(v2_transactions.User)
Example:
{ "id": "9097", "is_guest": false }
cancellationobject
client_idstringrequired
Example:"1234"
complaintobject
contains_shippingboolean
deadlinesobjectrequired

This property contains all possible actions that have associated deadlines for completion. Actions with null do not have deadlines currently pending.

Example:
{ "complaints": "2019-12-25T15:00:00Z" }
descriptionstringrequired
Example:"Soccer ticket"
eventsobject(v2_transactions.Events)required
Example:
{ "by_key": { "created": "2019-12-25T09:00:00Z", "delivered": "2019-12-25T16:00:00Z", "funds_released": "2019-12-25T17:00:00Z", "joined": "2019-12-25T10:00:00Z", "paid": "2019-12-25T11:00:00Z", "payment_accepted": "2019-12-25T12:00:00Z" }, "by_time": [] }
funds_releaseobject
Example:
{ "refunds": [], "released_to_seller": false }
idstring, (type_id)required
Example:"tx_21066"
join_codestring
metadataobject

Arbitrary key-value string pairs for adding extra information to transactions.

order_issueobject
pricingobject(v2_transactions.Pricing)required
Example:
{ "amount": 1000, "amount_extra": 0, "currency": "eur", "fees": { "buyer": 110, "buyer_client": 10, "international_payment": 20, "seller": 0, "seller_client": 5 } }
reviewobject
Example:
{ "approved": true, "outcome_reason": "Not fraudulent." }
sellerobject(v2_transactions.User)
Example:
{ "id": "9097", "is_guest": false }
statusstring(v2_transactions.Status)required
Enum:"created""joined""rejected""cancelled""paid""review_flagged""payment_accepted""complaint_submitted""complaint_period_ended""refunded"
Example:"funds_released"
trackingobject(v2_transactions.Tracking)
Response
{ "buyer": { "id": "1-a5034d6a-1110-4d33-b6dd-c6ff1b3b2e28", "is_guest": true }, "cancellation": { "description": "Colour does not match description" }, "client_id": "5a3d7990-9f1c-4e11-8d67-3da5b160c50a", "deadlines": { "complaints": null }, "description": "Trustap socks", "events": { "by_key": {}, "by_time": [] }, "funds_release": { "refunds": [], "released_to_seller": false }, "id": "tx_01kyweratweaf9kv5kn2yz6966", "metadata": {}, "pricing": { "amount": 20000, "amount_extra": 0, "currency": "eur", "fees": {} }, "seller": { "id": "1-22ad0309-d966-440c-8296-9989ff65eebf", "is_guest": true }, "status": "cancelled" }